> ## Documentation Index > Fetch the complete documentation index at: https://docs.britive.com/llms.txt > Use this file to discover all available pages before exploring further. # Get secret in vault hierarchy ## OpenAPI ````json GET /api/v1/secretmanager/vault/secrets { "openapi": "3.0.1", "info": { "title": "Secret Manager APIs", "version": "v1", "description": "API documentation for Secret Manager, Policy Administration, Notifications, Approval service, etc." }, "servers": [ { "url": "https://{tenantURL}", "description": "The primary server", "variables": { "tenantURL": { "default": "test.britive-app.com", "description": "The host of the server" } } } ], "security": [ { "bearerAuth": [] } ], "tags": [ { "name": "Approvals" }, { "name": "Notification Service" }, { "name": "Policy Administration" }, { "name": "Secrets Manager" }, { "name": "Secret Rotation" } ], "paths": { "/api/v1/secretmanager/vault/secrets": { "get": { "tags": [ "Secrets Manager" ], "summary": "Get secret in vault hierarchy", "operationId": "getResource", "parameters": [ { "name": "path", "in": "query", "description": "Secret path", "required": "true", "schema": { "type": "string" }, "example": "/machine/DB" } ], "responses": { "200": { "description": "successful operation", "content": { "application/json": { "schema": { "type": "object" } } } } } } } }, "components": { "securitySchemes": { "bearerAuth": { "type": "http", "scheme": "bearer" } } } } ````